package client.gui.container;

import common.block.tech.BlockWorkbench;
import common.inventory.ContainerWorkbench;
import common.entity.npc.EntityNPC;
import common.util.BlockPos;
import common.world.World;

public class GuiCrafting extends GuiContainer {
	private final BlockWorkbench type;

	public GuiCrafting(EntityNPC inv, World world, BlockWorkbench type) {
		super(new ContainerWorkbench(inv, world, BlockPos.ORIGIN, type));
		this.type = type;
		this.ySize = 36 + 18 * ((inv.getInventoryCapacity() + 11) / 12) + 18 * this.type.getSize();
	}

	public void addElements() {
		this.label(this.type.getDisplay(), 8, 16);
		this.label("Inventar", 8, 36 - 8 + 18 * this.type.getSize());
	}
}
